--- old/usr/src/uts/common/fs/zfs/dbuf.c	2014-07-28 07:45:22.212681034 -0400
+++ new/usr/src/uts/common/fs/zfs/dbuf.c	2014-07-28 07:45:22.219077337 -0400
@@ -1585,7 +1585,7 @@
 	dndb = dn->dn_dbuf;
 	if (db->db_blkid != DMU_BONUS_BLKID && MUTEX_HELD(&dn->dn_dbufs_mtx)) {
 		list_remove(&dn->dn_dbufs, db);
-		(void) atomic_dec_32_nv(&dn->dn_dbufs_count);
+		atomic_dec_32(&dn->dn_dbufs_count);
 		membar_producer();
 		DB_DNODE_EXIT(db);
 		/*
@@ -1808,7 +1808,7 @@
 			dn = DB_DNODE(db);
 			mutex_enter(&dn->dn_dbufs_mtx);
 			list_remove(&dn->dn_dbufs, db);
-			(void) atomic_dec_32_nv(&dn->dn_dbufs_count);
+			atomic_dec_32(&dn->dn_dbufs_count);
 			mutex_exit(&dn->dn_dbufs_mtx);
 			DB_DNODE_EXIT(db);
 			/*
@@ -2093,7 +2093,7 @@
 			 * until the move completes.
 			 */
 			DB_DNODE_ENTER(db);
-			(void) atomic_dec_32_nv(&DB_DNODE(db)->dn_dbufs_count);
+			atomic_dec_32(&DB_DNODE(db)->dn_dbufs_count);
 			DB_DNODE_EXIT(db);
 			/*
 			 * The bonus buffer's dnode hold is no longer discounted
--- old/usr/src/uts/common/fs/zfs/dmu.c	2014-07-28 07:45:22.475581964 -0400
+++ new/usr/src/uts/common/fs/zfs/dmu.c	2014-07-28 07:45:22.481639854 -0400
@@ -284,7 +284,7 @@
 	/* as long as the bonus buf is held, the dnode will be held */
 	if (refcount_add(&db->db_holds, tag) == 1) {
 		VERIFY(dnode_add_ref(dn, db));
-		(void) atomic_inc_32_nv(&dn->dn_dbufs_count);
+		atomic_inc_32(&dn->dn_dbufs_count);
 	}
 
 	/*
--- old/usr/src/uts/common/inet/sctp/sctp_addr.c	2014-07-28 07:45:22.698340728 -0400
+++ new/usr/src/uts/common/inet/sctp/sctp_addr.c	2014-07-28 07:45:22.704458250 -0400
@@ -137,7 +137,7 @@
 	rw_destroy(&sctp_ipif->sctp_ipif_lock);
 	kmem_free(sctp_ipif, sizeof (sctp_ipif_t));
 
-	(void) atomic_dec_32_nv(&sctp_ill->sctp_ill_ipifcnt);
+	atomic_dec_32(&sctp_ill->sctp_ill_ipifcnt);
 	if (rw_tryupgrade(&sctps->sctps_g_ills_lock) != 0) {
 		rw_downgrade(&sctps->sctps_g_ipifs_lock);
 		if (sctp_ill->sctp_ill_ipifcnt == 0 &&
@@ -884,7 +884,7 @@
 	ASSERT(sctp_ipif->sctp_ipif_ill == fsctp_ill);
 	sctp_ipif->sctp_ipif_ill = tsctp_ill;
 	rw_exit(&sctp_ipif->sctp_ipif_lock);
-	(void) atomic_dec_32_nv(&fsctp_ill->sctp_ill_ipifcnt);
+	atomic_dec_32(&fsctp_ill->sctp_ill_ipifcnt);
 	atomic_inc_32(&tsctp_ill->sctp_ill_ipifcnt);
 	rw_exit(&sctps->sctps_g_ipifs_lock);
 	rw_exit(&sctps->sctps_g_ills_lock);
@@ -1097,7 +1097,7 @@
 			sctps->sctps_g_ipifs_count--;
 			rw_destroy(&osctp_ipif->sctp_ipif_lock);
 			kmem_free(osctp_ipif, sizeof (sctp_ipif_t));
-			(void) atomic_dec_32_nv(&osctp_ill->sctp_ill_ipifcnt);
+			atomic_dec_32(&osctp_ill->sctp_ill_ipifcnt);
 		}
 	}
 
@@ -1209,7 +1209,7 @@
 		sctps->sctps_g_ipifs_count--;
 		rw_destroy(&sctp_ipif->sctp_ipif_lock);
 		kmem_free(sctp_ipif, sizeof (sctp_ipif_t));
-		(void) atomic_dec_32_nv(&sctp_ill->sctp_ill_ipifcnt);
+		atomic_dec_32(&sctp_ill->sctp_ill_ipifcnt);
 		if (rw_tryupgrade(&sctps->sctps_g_ills_lock) != 0) {
 			rw_downgrade(&sctps->sctps_g_ipifs_lock);
 			if (sctp_ill->sctp_ill_ipifcnt == 0 &&
@@ -2029,7 +2029,7 @@
 			list_remove(&sctps->sctps_g_ipifs[i].sctp_ipif_list,
 			    sctp_ipif);
 			sctps->sctps_g_ipifs_count--;
-			(void) atomic_dec_32_nv(&sctp_ill->sctp_ill_ipifcnt);
+			atomic_dec_32(&sctp_ill->sctp_ill_ipifcnt);
 			kmem_free(sctp_ipif, sizeof (sctp_ipif_t));
 			sctp_ipif =
 			    list_tail(&sctps->sctps_g_ipifs[i].sctp_ipif_list);
--- old/usr/src/uts/common/io/comstar/port/fct/discovery.c	2014-07-28 07:45:22.942630435 -0400
+++ new/usr/src/uts/common/io/comstar/port/fct/discovery.c	2014-07-28 07:45:22.948678091 -0400
@@ -1160,7 +1160,7 @@
 		iport->iport_rp_slots[rp->rp_handle] = irp;
 		atomic_or_32(&irp->irp_flags, IRP_HANDLE_OPENED);
 	}
-	(void) atomic_inc_64_nv(&iport->iport_last_change);
+	atomic_inc_64(&iport->iport_last_change);
 	fct_log_remote_port_event(port, ESC_SUNFC_TARGET_ADD,
 	    rp->rp_pwwn, rp->rp_id);
 
@@ -1205,7 +1205,7 @@
 		atomic_and_32(&irp->irp_flags, ~IRP_HANDLE_OPENED);
 		iport->iport_rp_slots[rp->rp_handle] = NULL;
 	}
-	(void) atomic_inc_64_nv(&iport->iport_last_change);
+	atomic_inc_64(&iport->iport_last_change);
 	fct_log_remote_port_event(port, ESC_SUNFC_TARGET_REMOVE,
 	    rp->rp_pwwn, rp->rp_id);
 
--- old/usr/src/uts/common/io/trill.c	2014-07-28 07:45:23.207795443 -0400
+++ new/usr/src/uts/common/io/trill.c	2014-07-28 07:45:23.213777007 -0400
@@ -1113,7 +1113,7 @@
 		if (tnp->tn_tsp != NULL)
 			trill_sock_unref(tnp->tn_tsp);
 		trill_node_free(tnp);
-		(void) atomic_dec_uint_nv(&tip->ti_nodecount);
+		atomic_dec_uint(&tip->ti_nodecount);
 	}
 }
 
--- old/usr/src/uts/i86pc/os/cmi_hw.c	2014-07-28 07:45:23.421353179 -0400
+++ new/usr/src/uts/i86pc/os/cmi_hw.c	2014-07-28 07:45:23.427380683 -0400
@@ -1420,7 +1420,7 @@
 	cmi_hdl_impl_t *hdl = IMPLHDL(ophdl);
 
 	ASSERT(*hdl->cmih_refcntp > 0);
-	(void) atomic_dec_32_nv(hdl->cmih_refcntp);
+	atomic_dec_32(hdl->cmih_refcntp);
 }
 
 void
@@ -1431,7 +1431,7 @@
 
 	/* Release the reference count held by cmi_hdl_create(). */
 	ASSERT(*hdl->cmih_refcntp > 0);
-	(void) atomic_dec_32_nv(hdl->cmih_refcntp);
+	atomic_dec_32(hdl->cmih_refcntp);
 	hdl->cmih_flags |= CMIH_F_DEAD;
 
 	ent = cmi_hdl_ent_lookup(hdl->cmih_chipid, hdl->cmih_coreid,
